Bug 1070721 - Provides/Requires post processing
Summary: Provides/Requires post processing
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-27 12:37 UTC by Vít Ondruch
Modified: 2018-06-21 08:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:05:16 UTC


Attachments (Terms of Use)

Description Vít Ondruch 2014-02-27 12:37:41 UTC
It would be nice, if Requires/Provides could be postprocessed. I've got 2 usecases in mind:

1) I am working on dependency generator for RubyGems. As soon as this generator is deployed, it will result in duplicated Requires/Provides. One set is the original Requires/Provides specified in .spec file and the other are the automatically generated Requires/Provides. If there would be possible Provides/Requires postprocessing, I could remove the duplicated entries.

2) In software collections, we have to modify Requires/Provides to include scl prefix, e.g. Requires: %{scl_prefix}foo. If there would be postprocessing possible, scl-utils could deploy its postprocessing filter and prepend the prefixes automatically.

There might be other usecases as well.

Comment 1 Vít Ondruch 2014-02-27 12:45:26 UTC
(In reply to Vít Ondruch from comment #0)
> 1) I am working on dependency generator for RubyGems. As soon as this
> generator is deployed, it will result in duplicated Requires/Provides. One
> set is the original Requires/Provides specified in .spec file and the other
> are the automatically generated Requires/Provides. If there would be
> possible Provides/Requires postprocessing, I could remove the duplicated
> entries.

Actually there is already other ticket requesting deduplication: http://rpm.org/ticket/80

Comment 2 Jaroslav Reznik 2015-03-03 15:32:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Fedora End Of Life 2016-07-19 11:05:16 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Vít Ondruch 2016-07-19 12:18:37 UTC
I would like to see this feature implemented.


Note You need to log in before you can comment on or make changes to this bug.